import React from "react";
import { ReplyEvent, MessageEvent } from "@charisma-ai/sdk";
import { UseSimpleConversationOptions, SimpleConversationChildProps } from "./SimpleConversation.js";
export type UseQueuedConversationOptions = Omit<UseSimpleConversationOptions, "onMessage"> & {
    onMessage?: (event: MessageEvent) => Promise<void> | void;
};
export type QueuedConversationChildProps = SimpleConversationChildProps;
export declare const useQueuedConversation: (props: UseQueuedConversationOptions) => {
    reply: (event: ReplyEvent) => void;
    start: import("@charisma-ai/sdk").Conversation["start"];
    replyIntermediate: import("@charisma-ai/sdk").Conversation["replyIntermediate"];
    tap: import("@charisma-ai/sdk").Conversation["tap"];
    action: import("@charisma-ai/sdk").Conversation["action"];
    resume: import("@charisma-ai/sdk").Conversation["resume"];
};
export interface QueuedConversationProps extends UseQueuedConversationOptions {
    children: (conversation: SimpleConversationChildProps) => React.ReactNode;
}
export declare const QueuedConversation: ({ children, ...props }: QueuedConversationProps) => React.JSX.Element;
